FROM golang as builder

LABEL maintainer="Valentin KIVACHUK BURDA"

ENV DOCKER_ENVIRONMENT=true
ENV CGO_ENABLED=0
ENV GOOS=linux
ENV GO111MODULE=on

EXPOSE 49618

WORKDIR /go/src/oc-search

#######################################################
RUN go install github.com/beego/bee/v2@master

COPY go.mod .
COPY go.sum .
RUN go mod download -x

# COPY . .
COPY main.go go.mod go.sum ./

COPY controllers controllers
COPY models models
COPY routers routers
COPY api-client api-client
COPY conf conf
COPY static static
COPY views views
COPY scripts scripts

# Configuration file : aims at making your variables suit your environment (local, docker, prod, etc)

COPY docker_search.json /etc/oc/search.json

# FROM golang

# WORKDIR /go/src/oc-catalog

# COPY --from=builder /go/src/oc-catalog .

ENV DOCKER_ENVIRONMENT=true

RUN go build .


CMD [ "bee", "run" ]
